=== debian/changelog ===
filespector (1.0.0-2) UNRELEASED; urgency=low

  [ Frank Voorburg ]
   * Version upgrade to 1.0.0. 

  [ Frank Voorburg ]
  * Skip MAN page building with pandoc (filespector-skip-pandoc-man.patch).
  * Added the prebuilt MAN page for installation. 

 -- Frank Voorburg <voorburg@gmx.net>  Sat, 07 Jun 2025 11:53:39 +0200
