=== debian/control ===
Source: filespector
Homepage: https://github.com/kruizer23/filespector
Maintainer: Frank Voorburg <voorburg@gmx.net>
Section: misc
Priority: optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11),
               fpc (>= 2.6.4),
               lcl (>= 1.2.4),
               lazarus (>= 1.2.4),
               pandoc
              
Package: filespector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcanberra-gtk-module
Description: Find text occurrences in multiple files
 FileSpector is a GUI tool for quickly finding all text occurrences in 
 multiple files in a directory, matching a specific file extension pattern.
