=== debian/rules ===
#!/usr/bin/make -f

# Set temporary HOME for lazarus primary config directory
export HOME=$(CURDIR)/tmphome

%:
	dh $@
	
override_dh_strip:
	dh_strip --no-automatic-dbgsym
